%define upstream_name    Dist-Zilla-Plugin-Signature
%define upstream_version 1.100930

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Sign releases with Module::Signature
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Module::Signature)
BuildArch: noarch


%description
This plugin will sign a distribution using Module::Signature

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE README META.json
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.100.930-7.mga6
+ Revision: 1026576
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.100.930-6.mga6
+ Revision: 937947
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.930-5.mga5
+ Revision: 751213
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.930-3.mga4
+ Revision: 511133
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.930-2.mga3
+ Revision: 366428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.100.930-1.mga1
+ Revision: 40583
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Signature

